// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/me"
)

/******************************************************************************
 *
 * @Description              : Product的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 15:22:21
 *
 ******************************************************************************/
var Product_PlantNr = grmi.NewField("PlantNr", "[ME_Product].PlantNr", "plantnr", grmi.TypeInt)
var Product_ProductId = grmi.NewField("ProductId", "[ME_Product].ProductId", "productid", grmi.TypeString)
var Product_ProjectId = grmi.NewField("ProjectId", "[ME_Product].ProjectId", "projectid", grmi.TypeString)
var Product_Descr = grmi.NewField("Descr", "[ME_Product].Descr", "descr", grmi.TypeString)
var Product_Descr1 = grmi.NewField("Descr1", "[ME_Product].Descr1", "descr1", grmi.TypeString)
var Product_Descr2 = grmi.NewField("Descr2", "[ME_Product].Descr2", "descr2", grmi.TypeString)
var Product_PartId = grmi.NewField("PartId", "[ME_Product].PartId", "partid", grmi.TypeString)
var Product_DefaultWorkLineId = grmi.NewField("DefaultWorkLineId", "[ME_Product].DefaultWorkLineId", "defaultworklineid", grmi.TypeString)
var Product_MultiWorkLineToggle = grmi.NewField("MultiWorkLineToggle", "[ME_Product].MultiWorkLineToggle", "multiworklinetoggle", grmi.TypeBool)
var Product_CustPartId = grmi.NewField("CustPartId", "[ME_Product].CustPartId", "custpartid", grmi.TypeString)
var Product_IntPartId = grmi.NewField("IntPartId", "[ME_Product].IntPartId", "intpartid", grmi.TypeString)
var Product_PlanType = grmi.NewField("PlanType", "[ME_Product].PlanType", "plantype", grmi.TypeString)
var Product_PlanMode = grmi.NewField("PlanMode", "[ME_Product].PlanMode", "planmode", grmi.TypeString)
var Product_ProductType = grmi.NewField("ProductType", "[ME_Product].ProductType", "producttype", grmi.TypeString)
var Product_ProductType1 = grmi.NewField("ProductType1", "[ME_Product].ProductType1", "producttype1", grmi.TypeString)
var Product_ProductType2 = grmi.NewField("ProductType2", "[ME_Product].ProductType2", "producttype2", grmi.TypeString)
var Product_ProductSpec = grmi.NewField("ProductSpec", "[ME_Product].ProductSpec", "productspec", grmi.TypeString)
var Product_ProductSpec1 = grmi.NewField("ProductSpec1", "[ME_Product].ProductSpec1", "productspec1", grmi.TypeString)
var Product_ProductSpec2 = grmi.NewField("ProductSpec2", "[ME_Product].ProductSpec2", "productspec2", grmi.TypeString)
var Product_AllowPackToggle = grmi.NewField("AllowPackToggle", "[ME_Product].AllowPackToggle", "allowpacktoggle", grmi.TypeBool)
var Product_CreateWorkOrderToggle = grmi.NewField("CreateWorkOrderToggle", "[ME_Product].CreateWorkOrderToggle", "createworkordertoggle", grmi.TypeBool)
var Product_CreatePackOrderToggle = grmi.NewField("CreatePackOrderToggle", "[ME_Product].CreatePackOrderToggle", "createpackordertoggle", grmi.TypeBool)
var Product_PackSize = grmi.NewField("PackSize", "[ME_Product].PackSize", "packsize", grmi.TypeInt)
var PackOrderItemSize = grmi.NewField("PackOrderItemSize", "[ME_Product].PackOrderItemSize", "packorderitemsize", grmi.TypeInt)
var Product_Jph = grmi.NewField("Jph", "[ME_Product].Jph", "jph", grmi.TypeFloat64)
var Product_PlanPriority = grmi.NewField("PlanPriority", "[ME_Product].PlanPriority", "planpriority", grmi.TypeInt)
var Product_BatchSize = grmi.NewField("BatchSize", "[ME_Product].BatchSize", "batchsize", grmi.TypeInt)
var Product_LeadTimeInSecond = grmi.NewField("LeadTimeInSecond", "[ME_Product].LeadTimeInSecond", "leadtimeinsecond", grmi.TypeInt)
var Product_PickingFlag = grmi.NewField("PickingFlag", "[ME_Product].PickingFlag", "pickingflag", grmi.TypeString)
var Product_MachineCode = grmi.NewField("MachineCode", "[ME_Product].MachineCode", "machinecode", grmi.TypeString)
var Product_ColorValue = grmi.NewField("ColorValue", "[ME_Product].ColorValue", "colorvalue", grmi.TypeString)
var Product_PrintTemplateId = grmi.NewField("PrintTemplateId", "[ME_Product].PrintTemplateId", "printtemplateid", grmi.TypeString)
var Product_CtrlPara1 = grmi.NewField("CtrlPara1", "[ME_Product].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var Product_CtrlPara2 = grmi.NewField("CtrlPara2", "[ME_Product].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var Product_CtrlStr1 = grmi.NewField("CtrlStr1", "[ME_Product].CtrlStr1", "ctrlstr1", grmi.TypeString)
var Product_CtrlStr2 = grmi.NewField("CtrlStr2", "[ME_Product].CtrlStr2", "ctrlstr2", grmi.TypeString)
var Product_CtrlTime1 = grmi.NewField("CtrlTime1", "[ME_Product].CtrlTime1", "ctrltime1", grmi.TypeDateTime)
var Product_CtrlTime2 = grmi.NewField("CtrlTime2", "[ME_Product].CtrlTime2", "ctrltime2", grmi.TypeDateTime)
var Product_LastModify = grmi.NewField("LastModify", "[ME_Product].LastModify", "lastmodify", grmi.TypeDateTime)
var Product_LastUser = grmi.NewField("LastUser", "[ME_Product].LastUser", "lastuser", grmi.TypeString)
var Product_CreateTime = grmi.NewField("CreateTime", "[ME_Product].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Product的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 15:22:21
 *
 ******************************************************************************/
var Product = grmi.NewEntity(
	"ME_Product",
	func() interface{} { return &model.Product{} },
	map[string]grmi.Field{
		Product_PlantNr.Name:               Product_PlantNr,
		Product_ProductId.Name:             Product_ProductId,
		Product_ProjectId.Name:             Product_ProjectId,
		Product_Descr.Name:                 Product_Descr,
		Product_Descr1.Name:                Product_Descr1,
		Product_Descr2.Name:                Product_Descr2,
		Product_PartId.Name:                Product_PartId,
		Product_DefaultWorkLineId.Name:     Product_DefaultWorkLineId,
		Product_MultiWorkLineToggle.Name:   Product_MultiWorkLineToggle,
		Product_CustPartId.Name:            Product_CustPartId,
		Product_IntPartId.Name:             Product_IntPartId,
		Product_PlanType.Name:              Product_PlanType,
		Product_PlanMode.Name:              Product_PlanMode,
		Product_ProductType.Name:           Product_ProductType,
		Product_ProductType1.Name:          Product_ProductType1,
		Product_ProductType2.Name:          Product_ProductType2,
		Product_ProductSpec.Name:           Product_ProductSpec,
		Product_ProductSpec1.Name:          Product_ProductSpec1,
		Product_ProductSpec2.Name:          Product_ProductSpec2,
		Product_AllowPackToggle.Name:       Product_AllowPackToggle,
		Product_CreateWorkOrderToggle.Name: Product_CreateWorkOrderToggle,
		Product_CreatePackOrderToggle.Name: Product_CreatePackOrderToggle,
		Product_PackSize.Name:              Product_PackSize,
		PackOrderItemSize.Name:             PackOrderItemSize,
		Product_Jph.Name:                   Product_Jph,
		Product_PlanPriority.Name:          Product_PlanPriority,
		Product_BatchSize.Name:             Product_BatchSize,
		Product_LeadTimeInSecond.Name:      Product_LeadTimeInSecond,
		Product_PickingFlag.Name:           Product_PickingFlag,
		Product_MachineCode.Name:           Product_MachineCode,
		Product_ColorValue.Name:            Product_ColorValue,
		Product_PrintTemplateId.Name:       Product_PrintTemplateId,
		Product_CtrlPara1.Name:             Product_CtrlPara1,
		Product_CtrlPara2.Name:             Product_CtrlPara2,
		Product_CtrlStr1.Name:              Product_CtrlStr1,
		Product_CtrlStr2.Name:              Product_CtrlStr2,
		Product_CtrlTime1.Name:             Product_CtrlTime1,
		Product_CtrlTime2.Name:             Product_CtrlTime2,
		Product_LastModify.Name:            Product_LastModify,
		Product_LastUser.Name:              Product_LastUser,
		Product_CreateTime.Name:            Product_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "Descr1", "Descr2", "PartId", "DefaultWorkLineId", "MultiWorkLineToggle", "CustPartId", "IntPartId", "PlanType", "PlanMode", "ProductType", "ProductType1", "ProductType2", "ProductSpec", "ProductSpec1", "ProductSpec2", "AllowPackToggle", "CreateWorkOrderToggle", "CreatePackOrderToggle", "PackSize", "PackOrderItemSize", "Jph", "PlanPriority", "BatchSize", "LeadTimeInSecond", "PickingFlag", "MachineCode", "ColorValue", "PrintTemplateId", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "CtrlTime1", "CtrlTime2", "LastUser"})
